/** Chronicle RTE Element Styles **/

/* drop cap */
.cms-Styles-dropcap {
  display: block !important;
  font-size: 5.9em;
  margin-bottom: -5px;
  float: left;
  line-height: .9;
  padding-right: 10px;
}

.rte2-style-chronicle-core-rte-DropcapRichTextElement {
  display: block !important;
  font-size: 5.9em;
  margin-bottom: 0 !important;
  margin-top: 0 !important;
  float: left;
  line-height: .9;
  padding-right: 10px;
}

bsp-line:has(.rte2-style-chronicle-core-rte-DropcapRichTextElement) {
  overflow: hidden;
}

/**
 * this applies styles to text in RTE from settings
 * for future work, we want to use the same css var pattern for size/fontfamily
 */
chron-text-styles.rte2-style-chronicle-core-rte-TextStylesRichTextElement {
  --cms-rte-text-color: initial;
  color: var(--cms-rte-text-color);
}

/**
 * This removes visually the theme elements of enhancements that do not work with this RichTextElement.
 */
[data-type="chronicle.core.rte.TextStylesRichTextElement"] > h2.CIG-title[data-tab="Main"],
[data-type="chronicle.core.rte.TextStylesRichTextElement"] > div.CIG-row[data-tab="Main"][data-field-name="theme.chronicle-theme-che.:core:enhancement:Enhancement.hbs._preset"],
[data-type="chronicle.core.rte.TextStylesRichTextElement"] > div.TabBar,
[data-type="chronicle.core.rte.TextStylesRichTextElement"] > h2.CIG-title[data-tab="Styles"],
[data-type="chronicle.core.rte.TextStylesRichTextElement"] > div.CIG-row[data-tab="Styles"][data-field-name="theme.chronicle-theme-che.:core:enhancement:Enhancement.hbs._preset"] {
  display: none;
}
